#***********************************************************************
#*                                                                     *
#*  IBM VisualAge C++ for OS/2, Version 3.00                           *
#*  (C) Copyright IBM Corp. 1991, 1995.                                *
#*  - Licensed Material - Program-Property of IBM                      *
#*  - All rights reserved                                              *
#*                                                                     *
#***********************************************************************

#############
LC_CTYPE
#############

upper   <A>;...;<Z>

lower   <a>;...;<z>

alpha   <A>;...;<Z>;\
        <a>;...;<z>;\
        <final-hamzaunderalef>;\
        <final-seen>;...;<connected-fathatan>;\
        <connected-damma>;...;<connected-lamalef>;\
        <special-maddaonalef>;...;<special-hamzaunderalef>;\
        <special-alef>;...;<initial-hah>;\
        <initial-khah>;...;<initial-sheen>;\
        <initial-sad>;...;<final-ain>;\
        <initial-ain>;...;<final-heh>

space   <tab>;\
        <newline>;\
        <vertical-tab>;\
        <form-feed>;\
        <carriage-return>;\
        <space>;\
        <nobreakspace>

cntrl   <NUL>;...;<IS1>;\
        <DEL>

punct   <exclamation-mark>;...;<slash>;\
        <colon>;...;<commercial-at>;\
        <left-square-bracket>;...;<grave-accent>;\
        <left-brace>;...;<tilde>;\
        <arabic-comma>;\
        <arabic-semicolon>;\
        <arabic-questionmark>

graph   <exclamation-mark>;...;<tilde>;\
        <final-hamzaunderalef>;...;<connected-fathatan>;\
        <boxfill>;...;<box-bottom-right>;\
        <connected-damma>;...;<isolated-lamalef>;\
        <special-maddaonalef>;...;<final-heh>

print   <space>;...;<tilde>;\
        <final-hamzaunderalef>;...;<connected-fathatan>;\
        <boxfill>;...;<box-bottom-right>;\
        <connected-damma>;...;<final-heh>

digit   <zero>;...;<nine>

xdigit  <zero>;...;<nine>;\
        <A>;...;<F>;\
        <a>;...;<f>

blank   <space>;\
        <tab>

toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
        (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
        (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
        (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
        (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);\
        (<z>,<Z>)


END LC_CTYPE


#############
LC_COLLATE
#############

order_start

<NUL>
<SOH>
<STX>
<ETX>
<EOT>
<ENQ>
<ACK>
<BEL>
<backspace>
<tab>
<newline>
<vertical-tab>
<form-feed>
<carriage-return>
<SO>
<SI>
<DLE>
<DC1>
<DC2>
<DC3>
<DC4>
<NAK>
<SYN>
<ETB>
<CAN>
<EM>
<SUB>
<ESC>
<IS4>
<IS3>
<IS2>
<IS1>
<DEL>
<space>
<circumflex>
<underscore>
<shy>
<hyphen-minus>
<comma>
<arabic-comma>
<semicolon>
<arabic-semicolon>
<colon>
<exclamation-mark>
<question-mark>
<arabic-questionmark>
<slash>
<period>
<grave-accent>
<tilde>
<apostrophe>
<quotation-mark>
<left-parenthesis>
<right-parenthesis>
<left-square-bracket>
<right-square-bracket>
<left-curly-bracket>
<right-curly-bracket>
<commercial-at>
<currency>
<dollar-sign>
<asterisk>
<backslash>
<ampersand>
<number-sign>
<percent-sign>
<plus-sign>
<arabic-divide>
<arabic-multiply>
<less-than-sign>
<equals-sign>
<greater-than-sign>
<vertical-line>
<nobreakspace>
<tail>
<zero>
<hindi-zero>
<one>
<hindi-one>
<two>
<hindi-two>
<three>
<hindi-three>
<four>
<hindi-four>
<five>
<hindi-five>
<six>
<hindi-six>
<seven>
<hindi-seven>
<eight>
<hindi-eight>
<nine>
<hindi-nine>
<a>
<A>
<b>
<B>
<c>
<C>
<d>
<D>
<e>
<E>
<f>
<F>
<g>
<G>
<h>
<H>
<i>
<I>
<j>
<J>
<k>
<K>
<l>
<L>
<m>
<M>
<n>
<N>
<o>
<O>
<p>
<P>
<q>
<Q>
<r>
<R>
<s>
<S>
<t>
<T>
<u>
<U>
<v>
<V>
<w>
<W>
<x>
<X>
<y>
<Y>
<z>
<Z>
<hamza>
<maddaonalef>
<final-maddaonalef>
<special-maddaonalef>
<hamzaonalef>
<final-hamzaonalef>
<special-hamzaonalef>
<hamzaonwaw>
<hamzaunderalef>
<final-hamzaunderalef>
<special-hamzaunderalef>
<hamzaonyeh>
<final-hamzaonyeh>
<initial-hamzaonyeh>
<alef>
<final-alef>
<special-alef>
<beh>
<initial-beh>
<tehmarbuta>
<teh>
<initial-teh>
<theh>
<initial-theh>
<jeem>
<initial-jeem>
<hah>
<initial-hah>
<khah>
<initial-khah>
<dal>
<thal>
<reh>
<zain>
<seen>
<final-seen>
<initial-seen>
<sheen>
<final-sheen>
<initial-sheen>
<sad>
<final-sad>
<initial-sad>
<dad>
<final-dad>
<initial-dad>
<tah>
<zah>
<ain>
<final-ain>
<initial-ain>
<middle-ain>
<ghain>
<final-ghain>
<initial-ghain>
<middle-ghain>
<feh>
<initial-feh>
<qaf>
<initial-qaf>
<kaf>
<initial-kaf>
<lam>
<initial-lam>
<isolated-maddaonlamalef>
<connected-maddaonlamalef>
<isolated-hamzaonlamalef>
<connected-hamzaonlamalef>
<isolated-hamzaunderlamalef>
<connected-hamzaunderlamalef>
<isolated-lamalef>
<connected-lamalef>
<meem>
<initial-meem>
<noon>
<initial-noon>
<final-heh>
<heh>
<middle-heh>
<waw>
<alefmaksura>
<final-alefmaksura>
<yeh>
<final-yeh>
<initial-yeh>
<fathatan>
<connected-fathatan>
<dammatan>
<kasratan>
<fatha>
<connected-fatha>
<damma>
<connected-damma>
<kasra>
<connected-kasra>
<sukun>
<connected-sukun>
<shadda>
<connected-shadda>
<tatweel>
<boxfill>
<box-vertical>
<box-horizontal>
<box-top-right>
<box-top-left>
<box-bottom-left>
<box-bottom-right>

order_end


END LC_COLLATE


#############
LC_MONETARY
#############

currency_symbol   "<currency>"
mon_decimal_point "<comma>"
mon_thousands_sep "<period>"
mon_grouping      "3;0"
positive_sign     ""
negative_sign     "<hyphen-minus>"
int_frac_digits   2
frac_digits       2
p_cs_precedes     1
p_sep_by_space    0
n_cs_precedes     1
n_sep_by_space    0
p_sign_posn       2
n_sign_posn       2
debit_sign        "<D><B>"
credit_sign       "<C><R>"
left_parenthesis  "<left-parenthesis>"
right_parenthesis "<right-parenthesis>"

END LC_MONETARY


#############
LC_NUMERIC
#############

decimal_point     "<comma>"
thousands_sep     "<period>"
grouping          "3;0"

END LC_NUMERIC

#############
LC_TIME
#############
abday   " <hah>";\
        " <noon>";\
        " <theh>";\
        " <reh>";\
        " <khah>";\
        " <jeem>";\
        " <seen>"

day     "<alef><lam><hamzaonalef><hah><dal>";\
        "<alef><lam><hamzaonalef><theh><noon><yeh><noon>";\
        "<alef><lam><theh><lam><alef><theh><alef><hamza>";\
        "<alef><lam><hamzaonalef><reh><beh><ain><alef><hamza>";\
        "<alef><lam><khah><meem><yeh><seen>";\
        "<alef><lam><jeem><meem><ain><heh>";\
        "<alef><lam><seen><beh><teh>"

abmon   "<yeh><noon><alef>";\
        "<feh><beh><reh>";\
        "<meem><alef><reh>";\
        "<hamzaunderalef><beh><reh>";\
        "<meem><alef><yeh>";\
        "<yeh><waw><noon>";\
        "<yeh><waw><lam>";\
        "<hamzaonalef><ghain><seen>";\
        "<seen><beh><meem>";\
        "<hamzaonalef><kaf><teh>";\
        "<noon><waw><feh>";\
        "<dal><yeh><seen>"

mon     "<yeh><noon><alef><yeh><reh>";\
        "<feh><beh><reh><alef><yeh><reh>";\
        "<meem><alef><reh><seen>";\
        "<hamzaunderalef><beh><reh><yeh><lam>";\
        "<meem><alef><yeh><waw>";\
        "<yeh><waw><noon><yeh><heh>";\
        "<yeh><waw><lam><yeh><heh>";\
        "<hamzaonalef><ghain><seen><tah><seen>";\
        "<seen><beh><teh><meem><beh><reh>";\
        "<hamzaonalef><kaf><teh><waw><beh><reh>";\
        "<noon><waw><feh><meem><beh><reh>";\
        "<dal><yeh><seen><meem><beh><reh>"

d_t_fmt " %A %d %B %H:%M:%S %Y"

d_fmt   "%d/%m/%y"

t_fmt   "%H:%M:%S"

nlldate "%B %d %Y"
nlyear  "19890108,Heisei:19261225,Showa:"
nltmisc "at:each:every:on:through:am:pm:zulu"
nltstr  "now:yesterday:tomorrow:noon:midnight:net:weekdays:weekend:today"
nltunits        "minute:minutes:hour:hours:day:days:week:weeks:month:months:year:years:min:mins"

am_pm   "<A><M>";"<P><M>"

t_fmt_ampm  ""

END LC_TIME


#############
LC_MESSAGES
#############


yesexpr "^([yY][eE][sS]|[yY]|[<noon>][<ain>][<meem>]|[<noon>])"
noexpr "^([nN][oO]|[nN]|[<lam>][<alef>]|[<lam>])"
yesstr  "yes:y:Y:<noon><ain><meem>:<noon>:"
nostr   "no:n:N:<lam><alef>:<lam>:"


END LC_MESSAGES
